summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-libs/nanomsg
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-libs/nanomsg')
-rw-r--r--dev-libs/nanomsg/Manifest2
-rw-r--r--dev-libs/nanomsg/metadata.xml15
-rw-r--r--dev-libs/nanomsg/nanomsg-0.5-r1.ebuild49
-rw-r--r--dev-libs/nanomsg/nanomsg-0.6.ebuild49
4 files changed, 115 insertions, 0 deletions
diff --git a/dev-libs/nanomsg/Manifest b/dev-libs/nanomsg/Manifest
new file mode 100644
index 00000000000..703d098654a
--- /dev/null
+++ b/dev-libs/nanomsg/Manifest
@@ -0,0 +1,2 @@
+DIST nanomsg-0.5-beta.tar.gz 623927 SHA256 13bff7ae8f31957722ee62d50504ce1a0c590da908f8566f997e3e521abb089f SHA512 64bb658d80e94ec43e77b7a7c53a29e9b9cd02a7539e9c108b0bdfad8179af4202e11dcfdcb8400e3334931f61e59066fafe06c9df3bb4628dde6a047139ffe5 WHIRLPOOL 9b18a5b65d2ae321f112a5054fcfceda342c06a6745ba2eb8a4b4a64c40e0f47bc93b6da23202eeeef9b2992c842050cb53153293e79bda79f7b0aa86b26ca3d
+DIST nanomsg-0.6-beta.tar.gz 592512 SHA256 69e2098446c9cd2c067b5ba38567c9ba30bf861a515b3d0a9302cb21c1167a69 SHA512 3f0ac82013191a5352e9cf92b02fb620e705ae4e6cc9bdfd7bc37dd48faa652af5be3f8a3de111ca9bb93a3a06127e1f03ab3f7d48d7bb6ad0e16c0341915a50 WHIRLPOOL 9c26c755ad0f0a37994a744b2bf8fea77aba43b83ba3e231065c0f95a700ace93c5fec151a0ef4d0796fb4605c2259f36c8473072e2d6abffe31a61c8a039776
diff --git a/dev-libs/nanomsg/metadata.xml b/dev-libs/nanomsg/metadata.xml
new file mode 100644
index 00000000000..32621a5bf6a
--- /dev/null
+++ b/dev-libs/nanomsg/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>patrick@gentoo.org</email>
+ <name>Patrick Lauer</name>
+ </maintainer>
+ <maintainer>
+ <email>djc@gentoo.org</email>
+ <name>Dirkjan Ochtman</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">nanomsg/nanomsg</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-libs/nanomsg/nanomsg-0.5-r1.ebuild b/dev-libs/nanomsg/nanomsg-0.5-r1.ebuild
new file mode 100644
index 00000000000..899cbfb27ed
--- /dev/null
+++ b/dev-libs/nanomsg/nanomsg-0.5-r1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+AUTOTOOLS_AUTORECONF=1
+inherit autotools-multilib
+
+DESCRIPTION="High-performance messaging interface for distributed applications"
+HOMEPAGE="http://nanomsg.org/"
+SRC_URI="http://download.nanomsg.org/${P}-beta.tar.gz"
+
+LICENSE="MIT"
+SLOT="0/0.2.1"
+KEYWORDS="~amd64 ~arm ~mips ~ppc ~ppc64 ~s390 ~x86"
+IUSE="doc static-libs"
+
+DEPEND="doc? (
+ app-text/asciidoc
+ app-text/xmlto
+ )"
+RDEPEND=""
+
+S="${WORKDIR}/${P}-beta"
+
+src_prepare() {
+ sed -i -e 's/doc_DATA/html_DATA/' Makefile.am || die
+
+ autotools-multilib_src_prepare
+}
+
+multilib_src_configure() {
+ local myeconfargs=(
+ --htmldir "/usr/share/doc/${PF}/html"
+ )
+ if multilib_is_native_abi; then
+ myeconfargs+=(
+ $(use_enable doc)
+ )
+ else
+ myeconfargs+=(
+ --disable-doc
+ --disable-nanocat
+ --disable-symlinks
+ )
+ fi
+ autotools-utils_src_configure
+}
diff --git a/dev-libs/nanomsg/nanomsg-0.6.ebuild b/dev-libs/nanomsg/nanomsg-0.6.ebuild
new file mode 100644
index 00000000000..f2fe3a722e2
--- /dev/null
+++ b/dev-libs/nanomsg/nanomsg-0.6.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+AUTOTOOLS_AUTORECONF=1
+inherit autotools-multilib
+
+DESCRIPTION="High-performance messaging interface for distributed applications"
+HOMEPAGE="http://nanomsg.org/"
+SRC_URI="https://github.com/nanomsg/nanomsg/releases/download/0.6-beta/${P}-beta.tar.gz"
+
+LICENSE="MIT"
+SLOT="0/0.2.2"
+KEYWORDS="~amd64 ~arm ~mips ~ppc ~ppc64 ~s390 ~x86"
+IUSE="doc static-libs"
+
+DEPEND="doc? (
+ app-text/asciidoc
+ app-text/xmlto
+ )"
+RDEPEND=""
+
+S="${WORKDIR}/${P}-beta"
+
+src_prepare() {
+ sed -i -e 's/doc_DATA/html_DATA/' Makefile.am || die
+
+ autotools-multilib_src_prepare
+}
+
+multilib_src_configure() {
+ local myeconfargs=(
+ --htmldir "/usr/share/doc/${PF}/html"
+ )
+ if multilib_is_native_abi; then
+ myeconfargs+=(
+ $(use_enable doc)
+ )
+ else
+ myeconfargs+=(
+ --disable-doc
+ --disable-nanocat
+ --disable-symlinks
+ )
+ fi
+ autotools-utils_src_configure
+}